1. Sample APIs
My Project
    • 🐶 Walk through Apidog
    • Sample APIs
      • Find pet by ID
        GET
      • Add a new pet to the store
        POST
      • Update an existing pet
        PUT
      • Deletes a pet
        DELETE
      • Finds Pets by status
        GET
    • Schemas
      • Sample Schemas
        • Pet
        • Category
        • Tag
  • Hisabin API V1
    • Authentication
      • Register a new user
      • Login with email and password
      • Refresh access token
      • Logout from current device
      • Logout from all devices
      • Request password reset
      • Reset password with token
      • Get current user info
    • Users
      • Get user profile
      • Update user profile
      • Update password
      • List registered devices
      • Remove a device
    • Portfolios
      • List all portfolios
      • Create a portfolio
      • Get a portfolio
      • Update a portfolio
      • Delete a portfolio
    • Accounts
      • List accounts in a portfolio
      • Create an account
      • Get an account
      • Update an account
      • Delete an account
    • Assets
      • List assets in a portfolio
      • Create an asset
      • Get an asset
      • Update an asset
      • Delete an asset
    • Loans
      • List loans in a portfolio
      • Create a loan
      • Get a loan
      • Update a loan
      • Delete a loan
    • Debts
      • List debts in a portfolio
      • Create a debt
      • Get a debt
      • Update a debt
      • Delete a debt
    • Heritages
      • List heritage plans in a portfolio
      • Create a heritage plan
      • Get a heritage plan
      • Update a heritage plan
      • Delete a heritage plan
    • Budgets
      • List budgets in a portfolio
      • Create a budget
      • Get a budget
      • Update a budget
      • Delete a budget
    • Goals
      • List goals in a portfolio
      • Create a goal
      • Get a goal
      • Update a goal
      • Delete a goal
    • Transactions
      • List all transactions
      • Create a transaction
      • List transactions for a specific account
      • Get a transaction
      • Update a transaction
      • Delete a transaction
      • Add attachment to transaction
      • Remove attachment from transaction
      • Create internal transfer between accounts
      • Get monthly transaction summary
    • External Accounts
      • List external accounts
      • Create external account
      • Get external account
      • Update external account
      • Delete external account
    • Subscriptions
      • List subscriptions
      • Create subscription
      • Get subscription summary
      • Get subscription details
      • Update subscription
      • Delete subscription
      • Pause subscription
      • Resume subscription
      • Cancel subscription
      • Record subscription payment
      • Skip subscription payment
      • List subscription payments
    • Schemas
      • Error
      • DeviceInfo
      • TokenResponse
      • UserPlan
      • User
      • AuthResponse
      • UserProfile
      • Device
      • Money
      • Portfolio
      • Account
      • Asset
      • Loan
      • Debt
      • Heritage
      • HeritageBeneficiary
      • HeritageAllocation
      • Budget
      • Goal
      • Transaction
      • Transfer
      • TransactionSummary
      • ExternalAccount
      • Subscription
      • SubscriptionPayment
      • SubscriptionSummary
  1. Sample APIs

Finds Pets by status

GET
/pet/findByStatus

Request

Query Params

Responses

🟢200OK
application/json
Bodyapplication/json

🟠400Invalid status value
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/pet/findByStatus?status=undefined'
Response Response Example
200 - Success example
{
    "code": 0,
    "data": [
        {
            "name": "Hello Kitty",
            "photoUrls": [
                "http://dummyimage.com/400x400"
            ],
            "id": 3,
            "category": {
                "id": 71,
                "name": "Cat"
            },
            "tags": [
                {
                    "id": 22,
                    "name": "Cat"
                }
            ],
            "status": "sold"
        },
        {
            "name": "White Dog",
            "photoUrls": [
                "http://dummyimage.com/400x400"
            ],
            "id": 3,
            "category": {
                "id": 71,
                "name": "Dog"
            },
            "tags": [
                {
                    "id": 22,
                    "name": "Dog"
                }
            ],
            "status": "sold"
        }
    ]
}
Modified at 2024-02-20 05:49:28
Previous
Deletes a pet
Next
Pet
Built with